nandpsu: XNandPsu_Geometry Struct Reference

| nandpsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XNandPsu_Geometry Struct Reference
Nandpsu_v1_3

The XNandPsu_Geometry structure contains the ONFI geometry information. More...

## Data Fields
u32 | BytesPerPage
| Number of bytes per page. More...
u16 | SpareBytesPerPage
| Number of spare bytes per page. More...
u32 | PagesPerBlock
| Number of pages per block. More...
u32 | BlocksPerLun
| Number of blocks per LUN. More...
u8 | NumLuns
| Number of LUN's. More...
u8 | RowAddrCycles
| Row address cycles. More...
u8 | ColAddrCycles
| Column address cycles. More...
u8 | NumBitsPerCell
| Number of bits per cell (Hamming/BCH) More...
u8 | NumBitsECC
| Number of bits ECC correctability. More...
u32 | EccCodeWordSize
| ECC codeword size. More...
u32 | BlockSize
| Block size. More...
u32 | NumTargetPages
| Total number of pages in a Target. More...
u32 | NumTargetBlocks
| Total number of blocks in a Target. More...
u64 | TargetSize
| Target size in bytes. More...
u8 | NumTargets
| Number of targets present. More...
u32 | NumPages
| Total number of pages. More...
u32 | NumBlocks
| Total number of blocks. More...
u64 | DeviceSize
| Total flash size in bytes. More...

## Detailed Description

The XNandPsu_Geometry structure contains the ONFI geometry information.

## Field Documentation

u32 XNandPsu_Geometry::BlockSize

Block size.

Referenced by XNandPsu_Erase(), XNandPsu_Read(), and XNandPsu_Write().

u32 XNandPsu_Geometry::BlocksPerLun

Number of blocks per LUN.

u32 XNandPsu_Geometry::BytesPerPage

Number of bytes per page.

Referenced by NandReadWriteExample(), XNandPsu_InitBbtDesc(), XNandPsu_Read(), XNandPsu_ReadSpareBytes(), XNandPsu_Write(), and XNandPsu_WriteSpareBytes().

u8 XNandPsu_Geometry::ColAddrCycles

Column address cycles.

Referenced by XNandPsu_ReadSpareBytes(), and XNandPsu_WriteSpareBytes().

u64 XNandPsu_Geometry::DeviceSize

Total flash size in bytes.

Referenced by XNandPsu_Erase(), XNandPsu_Read(), and XNandPsu_Write().

u32 XNandPsu_Geometry::EccCodeWordSize

ECC codeword size.

u8 XNandPsu_Geometry::NumBitsECC

Number of bits ECC correctability.

u8 XNandPsu_Geometry::NumBitsPerCell

Number of bits per cell (Hamming/BCH)

u32 XNandPsu_Geometry::NumBlocks

Total number of blocks.

Referenced by XNandPsu_ScanBbt().

u8 XNandPsu_Geometry::NumLuns

Number of LUN's.

u32 XNandPsu_Geometry::NumPages

Total number of pages.

u32 XNandPsu_Geometry::NumTargetBlocks

Total number of blocks in a Target.

Referenced by XNandPsu_Erase(), XNandPsu_InitBbtDesc(), and XNandPsu_MarkBlockBad().

u32 XNandPsu_Geometry::NumTargetPages

Total number of pages in a Target.

Referenced by XNandPsu_Read(), XNandPsu_ReadSpareBytes(), XNandPsu_Write(), and XNandPsu_WriteSpareBytes().

u8 XNandPsu_Geometry::NumTargets

Number of targets present.

Referenced by XNandPsu_ChangeTimingMode(), and XNandPsu_ScanBbt().

u32 XNandPsu_Geometry::PagesPerBlock

Number of pages per block.

Referenced by XNandPsu_EraseBlock().

u8 XNandPsu_Geometry::RowAddrCycles

Row address cycles.

Referenced by XNandPsu_EraseBlock(), XNandPsu_ReadSpareBytes(), and XNandPsu_WriteSpareBytes().

u16 XNandPsu_Geometry::SpareBytesPerPage

Number of spare bytes per page.

Referenced by XNandPsu_ReadSpareBytes(), and XNandPsu_WriteSpareBytes().

u64 XNandPsu_Geometry::TargetSize

Target size in bytes.

Referenced by XNandPsu_Read(), and XNandPsu_Write().